#pragma once

#include <imgui.h>

#include "foundation/types/Color.h"

namespace ta::presentation::imgui
{
    [[nodiscard]] inline ImVec4 to_imgui(const ta::foundation::RgbaColor& color) noexcept
    {
        return {color.r, color.g, color.b, color.a};
    }
}
